import com.ibm.ws.xs.app.DomainConnectionUpdater;


def createDomainsserver(domainsserver, owner = false) {
    def rv =  createResource('domainsservers', domainsserver, owner)

    DomainConnectionUpdater.getInstance().setConnectionInfo(DomainConnectionUpdater.CURRENT_DOMAIN);
    return rv
}

def deleteDomainsserver(id) {
    def rv = deleteResource('domainsservers', id)

    DomainConnectionUpdater.getInstance().setConnectionInfo(DomainConnectionUpdater.CURRENT_DOMAIN);
    return rv
}

def getDomainsserver(id) {
    return getResource('domainsservers', [id: id], ['id', 'domainid', 'serverid'])
}

def getDomainsservers(filters, owner = false) {
    def _filters = filters.clone()
    return getResources( 'domainsservers', _filters, false, ['id', 'domainid', 'serverid'])
}

def updateDomainsserver(domainsserver) {
    def rv = updateResource('domainsservers', domainsserver, ['id', 'domainid', 'serverid'])

    DomainConnectionUpdater.getInstance().setConnectionInfo(DomainConnectionUpdater.CURRENT_DOMAIN);
    return rv
}
