/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.acl;

import com.ibm.websphere.acl.ACLRuntimeCache;
import zero.core.context.GlobalContext;

def eventname = event._name[];
logger.INFO { "removing cache for user because of an event ${eventname}" };

def user;

user = event.user[];

// Only attempt a clear if on the appliance.  
// ACLRuntimeCache.java does not exist in the XS only path.
if (!GlobalContext.zcontains("/config/type/xs")) {
	ACLRuntimeCache.clear(user);
}
