/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.core.security.LoginService;
import zero.core.security.TokenService;
import groovy.rainmaker.constants.*;
import com.ibm.websphere.rainmaker.auditing.AuditDataHelper;

def onGET()
{
    TokenService.setCacheControlHeader();
    LoginService.logout();

    def user = user.session[]?.username ?: 'system';
    // Audit hook
    AuditDataHelper.audit(Action.LOGOUT, Constants.SESSION,
            "User ${user} logout", [:]);
    
    //zdelete('/user/session');
    zpost("/user#invalidate", true);
    
    request.status = 302;
    request.headers.out.Location = '/';
}
