/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

logger.FINEST { "Removing deleted user (id: ${event.id[]}) from user groups..." }

for (group in getUserGroups(event.id[])) {
    logger.FINEST { "Removing deleted user (id: ${event.id[]}) from user group (id: ${group.id})" }
    removeGroupMember(group.id, event.id[]);
}

logger.FINEST { 'User was successfully removed from user groups.' }
