import zero.core.context.GlobalContext;
import com.ibm.websphere.rainmaker.logging.MessageUtils;
import com.ibm.ws.xs.app.DomainConnectionUpdater;

def _getStat() {
    def rv = GlobalContext.zget(DomainConnectionUpdater.STATUS_LOCATION)

    if (rv == null) {
        rv = [ text: MessageUtils.message(user.lang[], 'XSW0127', []), 
               error: false, 
               tooltip: MessageUtils.message(user.lang[], 'XSW0130', []) ]
    }

    return rv
}


def onRetrieve() {
    request.json.output = _getStat()
    request.view = 'JSON'
    render()
}
    

